<cfsetting enablecfoutputonly="Yes">
<cfprocessingDirective pageencoding="utf-8">
<!--- 
|| LEGAL ||
$Copyright: Daemon Pty Limited 1995-2003, http://www.daemon.com.au $
$License: Released Under the "Common Public License 1.0", http://www.opensource.org/licenses/cpl.php$ 

|| VERSION CONTROL ||
$Header: 
$Author: 
$Date: 

$Name:  $
$Revision: $

|| DESCRIPTION || 
$Description: Displays objects with review date

|| DEVELOPER ||
$Developer: Andrew mercer, Andy Parry
--->

<!--- set up page header --->
<cfimport taglib="/farcry/core/tags/admin/" prefix="admin">
<cfimport taglib="/farcry/core/tags/formtools" prefix="ft" />

<admin:header title="Review Date Report - Due This Month" writingDir="#session.writingDir#" userLanguage="#session.userLanguage#">

<cfset startDate = createDate(year(now()), month(now()), '01') />

<cfset endDate = dateAdd('m',1, now()) />
<cfset endDate = createDate(year(endDate), month(endDate), '01') />
<cfset endDate = dateAdd('d', -1, endDate) />
		
<cfoutput>
<h3>Review Date Report - Due This Month <!--- [#lsDateFormat(startDate)# - #lsDateFormat(enddate)#] ---></h3>
</cfoutput>
<cfloop collection="#application.types#" item="fcTypes">

	<cfif structkeyexists(application.types['#fcTypes#'].STPROPS, 'reviewDate')>
	
		<ft:objectadmin 
			typename="#fcTypes#"
			permissionset="news"
			title="#fcTypes#"
			columnList="REVIEWDATE,CREATEDBY,DATETIMECREATED,DATETIMELASTUPDATED,LASTUPDATEDBY,LABEL"
			sortableColumns="REVIEWDATE"
			lFilterFields=""
			defaultorderby="REVIEWDATE"
			sqlorderby="REVIEWDATE desc"
			plugin="reviewReports"
				
			lButtons=""
			bFilterCategories="false"
			bFilterDateRange="false"
			bFilterProperties="false"
			bPaginateTop="false"
			bPaginateBottom="false"
			bSelectCol="false"
			bEditCol="false"
			bViewCol="false"
			bFlowCol="false"
				
			module="/reviewdateNextMonth.cfm.cfm"
			sqlWhere="reviewDate >= #startDate# and reviewDate <= #endDate#"
			 />
	</cfif>
</cfloop>
<!--- setup footer --->
<admin:footer>
<cfsetting enablecfoutputonly="no">